# 用户账户应用的URL配置文件
from django.urls import path
from django.urls import re_path

from . import views
from .forms import LoginForm

app_name = "accounts"  # 应用命名空间

urlpatterns = [
    # 用户登录
    re_path(r'^login/$',
            views.LoginView.as_view(success_url='/'),
            name='login',
            kwargs={'authentication_form': LoginForm}),  # 登录页面
    
    # 用户注册
    re_path(r'^register/$',
            views.RegisterView.as_view(success_url="/"),
            name='register'),  # 注册页面
    
    # 用户登出
    re_path(r'^logout/$',
            views.LogoutView.as_view(),
            name='logout'),  # 登出页面
    
    # 账户操作结果页面
    path(r'account/result.html',
         views.account_result,
         name='result'),  # 注册/验证结果页面
    
    # 忘记密码
    re_path(r'^forget_password/$',
            views.ForgetPasswordView.as_view(),
            name='forget_password'),  # 忘记密码页面
    
    # 忘记密码验证码
    re_path(r'^forget_password_code/$',
            views.ForgetPasswordEmailCode.as_view(),
            name='forget_password_code'),  # 发送验证码接口
]
